org.eclipse.ecf.provider.generic.gmm

## Class GMMImpl

- java.lang.Object
- - java.util.Observable
  - - org.eclipse.ecf.provider.generic.gmm.GMMImpl

    public class GMMImpl
    extends Observable

### Constructor Summary

Constructors
Constructor and Description
`GMMImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addMember(Member m)`
`boolean` `containsMember(Member m)`
`ID[]` `getMemberIDs(ID exclude)`
`Object[]` `getMembers()`
`int` `getSize()`
`Iterator` `iterator()`
`void` `removeAllMembers()`
`boolean` `removeMember(Member m)`
`String` `toString()`

### Methods inherited from class java.util.Observable

`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GMMImpl

    public GMMImpl()

### Method Detail

#### addMember

    public boolean addMember(Member m)

#### removeMember

    public boolean removeMember(Member m)

#### removeAllMembers

    public void removeAllMembers()

#### getMembers

    public Object[] getMembers()

#### getMemberIDs

    public ID[] getMemberIDs(ID exclude)

#### getSize

    public int getSize()

#### containsMember

    public boolean containsMember(Member m)

#### iterator

    public Iterator iterator()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`